{
	"name": "pro-api-sdk",
	"version": "1.1.1",
	"description": "嘉立创EDA & EasyEDA 专业版扩展 API 开发工具",
	"author": "JLCEDA <support@lceda.cn>",
	"license": "Apache-2.0",
	"homepage": "https://pro.lceda.cn/",
	"scripts": {
		"compile": "rimraf ./dist/ && ts-node ./config/esbuild.prod.ts",
		"prepare": "husky",
		"prettier:all": "prettier --write .",
		"eslint:all": "eslint --ext .ts --fix .",
		"fix": "npm run prettier:all && npm run eslint:all",
		"tailwind": "tailwindcss -i ./iframe/css/input.css -o ./iframe/css/index.css",
		"obf": "node -e \"const g=require('glob');const {execSync}=require('child_process');const p=require('path');g.sync('iframe/js/s_*.js').forEach(f=>{const d=p.dirname(f),b=p.basename(f,'.js').slice(2)+'.js';execSync(`javascript-obfuscator \\\"${f}\\\" --string-array-encoding rc4 --output \\\"${p.join(d,b)}\\\"`)})\"",
		"build": "npm run tailwind && npm run obf && npm run compile && ts-node ./build/packaged.ts"
	},
	"devDependencies": {
		"@jlceda/pro-api-types": "^0.1.175",
		"@microsoft/tsdoc": "^0.15.1",
		"@tailwindcss/cli": "^4.1.8",
		"@trivago/prettier-plugin-sort-imports": "^5.2.1",
		"@types/fs-extra": "^11.0.4",
		"@typescript-eslint/eslint-plugin": "^7.18.0",
		"@typescript-eslint/parser": "^7.18.0",
		"esbuild": "^0.24.2",
		"eslint": "^8.57.0",
		"eslint-config-alloy": "^5.1.2",
		"eslint-plugin-tsdoc": "^0.4.0",
		"fs-extra": "^11.3.0",
		"husky": "^9.1.7",
		"ignore": "^7.0.3",
		"jszip": "^3.10.1",
		"lint-staged": "^15.3.0",
		"prettier": "^3.4.2",
		"rimraf": "^6.0.1",
		"tailwindcss": "^3.4.17",
		"ts-node": "^10.9.2",
		"typescript": "^5.7.3",
		"javascript-obfuscator": "^4.1.1"
	},
	"lint-staged": {
		"*.ts": "eslint --cache --fix",
		"*.{js,ts,html,css,json,md}": "prettier --write"
	},
	"engines": {
		"node": ">=20.5.0"
	}
}
